// This is our javascript, which will pop up our message
// in an alert box.

function ImageSwipe() {	
	window.open("chrome://imageswipe/content/imageswipe.xul",'','chrome,centerscreen');
	
}


//Added 26 November 2004 by Elizabeth Boone
//javascript function to catch the alt+left click on an image
function isImageSwipeCommand(e)
{
  dump(e.explicitOriginalTarget.tagName);
  if (e.altKey==1)  //boolean true
  {

    if (e.button==0)  //indicates it was left click
    {
      dump ("Button value is: "+e.button+"\n");
      if (e.explicitOriginalTarget.tagName=="img" || e.explicitOriginalTarget.tagName=="IMG")
      {
        dump("This is an ImageSwipe command! " + e.explicitOriginalTarget.src+"\n");
        // call the function to save the content
        executeImageSwipe(e.explicitOriginalTarget.src);
      }
    }
  }
}

//Added 08 December by Elizabeth Boone
//function checks the user's preferences and calls the image save utility appropriately
//Uses the getISProperty function to retrieve the user preferences
function executeImageSwipe(imgSrc)
{
   var ISRD=isReadPref("ImageDirectory");
   var ISRS=isReadPref("Single");   
   //alert(ISRD+ISRS);
   	if(ISRS=="false")  //saving all the images on the page
	{
		var browser = gBrowser.mCurrentBrowser;		
		var doc = browser.contentDocument;
		var docImages = doc.getElementsByTagName("img");					
		var mylength=docImages.length;		
		for(var i = 0; i<mylength; i++)
		{			

			var ImageSource = docImages.item(i).src;
			saveImage(ISRD, ImageSource);
		}
	}//end of if OSingle==0
	else //only save the parameter argument
	{
		saveImage(ISRD, imgSrc);
	}	
}

function saveImage(ODir, imageFile) 
{	
	var uri = Components.classes["@mozilla.org/network/standard-url;1"].createInstance(Components.interfaces.nsIURI);
        uri.spec = imageFile;   
        var imageFileURL=uri.QueryInterface(Components.interfaces.nsIURL);
        var imageFile=imageFileURL.fileName;
        
 	//alert(imageFile);
	var localFile = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile)
	var FName=ODir+"\\"+imageFile;
	localFile.initWithPath(FName);
	var persist = Components.classes["@mozilla.org/embedding/browser/nsWebBrowserPersist;1"].createInstance(Components.interfaces.nsIWebBrowserPersist); 
	persist.saveURI(uri, null, null, null, null, localFile);
	alert("Save File"+FName+" to"+ ODir+" Sucess!!");
}